Bug 10905 - Author tracings incorrect when UseAuthoritiesForTracings is turned on
Summary: Author tracings incorrect when UseAuthoritiesForTracings is turned on
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Authority data support (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-17 18:14 UTC by Tomás Cohen Arazi
Modified: 2015-06-04 23:23 UTC (History)
5 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10905: Author tracings incorrect when UseAuthoritiesForTracings is turned on (1.87 KB, patch)
2013-09-17 18:20 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10905: Author tracings incorrect when UseAuthoritiesForTracings is turned on (1.94 KB, patch)
2013-10-21 21:11 UTC, David Noe
Details | Diff | Splinter Review
Bug 10905: Author tracings incorrect when UseAuthoritiesForTracings is turned on (2.01 KB, patch)
2013-12-20 18:06 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2013-09-17 18:14:10 UTC

    
Comment 1 Tomás Cohen Arazi 2013-09-17 18:20:38 UTC Comment hidden (obsolete)
Comment 2 I'm just a bot 2013-09-29 06:17:57 UTC
Patch applied cleanly, go forth and signoff
Comment 3 David Noe 2013-10-21 21:11:35 UTC Comment hidden (obsolete)
Comment 4 Kyle M Hall 2013-12-20 18:06:38 UTC
Created attachment 23730 [details] [review]
Bug 10905: Author tracings incorrect when UseAuthoritiesForTracings is turned on

Quotation marks in MARC21slim2OPACDetail.xsl break author tracings in OPAC.
This patch fixes that.

To reproduce:
- Enable UseAuthoritiesForTracings
- Search in the OPAC and go to the detail page of a record that has links to authorities.
- Click on the magnifier icon
- You get a 404 error page.

To test the fix:
- Apply the patch
- Search in the OPAC and go to the detail page of a record that has links to authorities.
- Click on the magnifier icon
- You are sent to the corresponding authority record.

Regards
To+

Sponsored-by: Universidad Nacional de Cordoba

http://bugs.koha-community.org/show_bug.cgi?id=10838
Signed-off-by: David Noe <drnoe@bywatersolutions.com>
Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Passes koha-qa.pl, trivial change
Comment 5 Galen Charlton 2013-12-23 15:53:46 UTC
Pushed to master.  Thanks, Tomás!
Comment 6 Fridolin SOMERS 2013-12-30 10:09:58 UTC
Patch pushed to 3.14.x, will be in 3.14.2.

(this patch is not needed for bootstrap theme)